package com.dragon.tj.portal.mapper.app;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dragon.tj.portal.entity.InstallInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * 应用程序安装信息
 */
@Mapper
public interface InstallInfoMapper extends BaseMapper<InstallInfo> {

    @Select("select app_id as appId,count(1) as count from install_info GROUP BY app_id")
    List<Map<String, Long>> getAppInstallCount();
}
